From: Eugeniy Meshcheryakov <eugen@debian.org>
Subject: Use ADA_OPT environment variable
 ADA_OPT contains optimization switches for Ada compiller. This
 allows to use noopt in DEB_BUILD_OPTIONS
Forwarded: not-needed
--- a/common/Makefile.inc
+++ b/common/Makefile.inc
@@ -84,7 +84,7 @@
 
 # Common compiler options.
 COMMON_OPTS:=-g -gnatwae -gnat05 -gnatwl -gnaty3abefhiklnprt -I${CUSTOMER_LIB} -I${COMMON}/versioning -I${ROOT}/examiner -gnatf -k
-GNATMAKE_OPTS:=${COMMON_OPTS} -O2 -fno-strict-aliasing
+GNATMAKE_OPTS:=${COMMON_OPTS} ${ADA_OPT} -fno-strict-aliasing
 BIND_OPTS:=-E
 
 # Override compiler options for debug. No optimization, plus full
